| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::PipelineMTL Class Referencefinal

`#include <pipeline_mtl.h>`

Inheritance diagram for impeller::PipelineMTL:

## Public Member Functions
| ~PipelineMTL () override
id< MTLRenderPipelineState > | GetMTLRenderPipelineState () const
id< MTLDepthStencilState > | GetMTLDepthStencilState () const
Public Member Functions inherited from impeller::Pipeline< PipelineDescriptor >
virtual | ~Pipeline ()
const PipelineDescriptor & | GetDescriptor () const
| Get the descriptor that was responsible for creating this pipeline. It may be copied and modified to create a pipeline variant. More...
PipelineFuture< PipelineDescriptor > | CreateVariant (bool async, std::function< void(PipelineDescriptor &desc)> descriptor_callback) const

## Friends
class | PipelineLibraryMTL

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< PipelineMTL, Pipeline< PipelineDescriptor > >
static PipelineMTL & | Cast (Pipeline< PipelineDescriptor > &base)
static const PipelineMTL & | Cast (const Pipeline< PipelineDescriptor > &base)
static PipelineMTL * | Cast (Pipeline< PipelineDescriptor > *base)
static const PipelineMTL * | Cast (const Pipeline< PipelineDescriptor > *base)
Protected Member Functions inherited from impeller::Pipeline< PipelineDescriptor >
| Pipeline (std::weak_ptr< PipelineLibrary > library, PipelineDescriptor desc)
Protected Attributes inherited from impeller::Pipeline< PipelineDescriptor >
const std::weak_ptr< PipelineLibrary > | library_
const PipelineDescriptor | desc_

## Detailed Description

Definition at line 15 of file pipeline_mtl.h.

## Constructor & Destructor Documentation

## ◆ ~PipelineMTL()

impeller::PipelineMTL::~PipelineMTL | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ GetMTLDepthStencilState()

id< MTLDepthStencilState > impeller::PipelineMTL::GetMTLDepthStencilState | ( |  | ) | const

Definition at line 32 of file pipeline_mtl.mm.

32 {
33 return depth_stencil_state_;
34 }

## ◆ GetMTLRenderPipelineState()

id< MTLRenderPipelineState > impeller::PipelineMTL::GetMTLRenderPipelineState | ( |  | ) | const

Definition at line 28 of file pipeline_mtl.mm.

28 {
29 return pipeline_state_;
30 }

## Friends And Related Function Documentation

## ◆ PipelineLibraryMTL

friend class PipelineLibraryMTL
| friend

Definition at line 27 of file pipeline_mtl.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/metal/pipeline_mtl.h
- impeller/renderer/backend/metal/pipeline_mtl.mm